Summary: 	Infrastructure to gather information about the running Linux system
Name: 		systemtap
Epoch:		1
Version: 	2.4
Release: 	%mkrel 1
License: 	GPLv2+
Group: 		Development/Kernel
URL: 		http://sourceware.org/systemtap/
Source: 	http://sourceware.org/systemtap/ftp/releases/systemtap-%{version}.tar.gz
Buildrequires:	libcap-devel
Buildrequires:	elfutils-static-devel
BuildRequires:	gtkmm2.4-devel
Buildrequires:	libavahi-client-devel
Buildrequires:	latex2html
BuildRequires:	texlive-texmf
BuildRequires:	libglade2.0-devel
BuildRequires:  rpm-devel
ExcludeArch:	%mips

%description
SystemTap provides free software (GPL) infrastructure to simplify the gathering
of information about the running Linux system. This assists diagnosis of a 
performance or functional problem. SystemTap eliminates the need for the 
developer to go through the tedious and disruptive instrument, recompile, 
install, and reboot sequence that may be otherwise required to collect data.

SystemTap provides a simple command line interface and scripting language for
writing instrumentation for a live running kernel. We are publishing samples, 
as well as enlarging the internal "tapset" script library to aid reuse and 
abstraction. We also plan to support probing userspace applications. We are 
investigating interfacing Systemtap with similar tools such as Frysk, 
Oprofile and LTT.

Current project members include Red Hat, IBM, Intel, and Hitachi.

%prep
%setup -q

%build
%configure2_5x --with-rpm
%make

%install
# cd src
%makeinstall

%find_lang %{name}

# we add testsuite with a lot of examples
install -m 755 -d testsuite %{buildroot}/%{_datadir}/%{name}/

%files -f %{name}.lang
%doc AUTHORS INSTALL HACKING README
%{_bindir}/dtrace
%{_bindir}/stap*
%{_mandir}/man*/*
%{_libexecdir}/%{name}
%{_datadir}/%{name}
%{_includedir}/sys/sdt.h
%{_includedir}/sys/sdt-config.h


%changelog
* Wed Dec 18 2013 luigiwalser <luigiwalser> 1:2.4-1.mga4
+ Revision: 558636
- 2.4
- fix /usr/share/systemtap directory permissions

* Tue Oct 22 2013 umeabot <umeabot> 1:2.3-5.mga4
+ Revision: 541512
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 dmorgan <dmorgan> 1:2.3-4.mga4
+ Revision: 496062
- Remove workaround now that java7 is fixed

* Sat Oct 12 2013 dmorgan <dmorgan> 1:2.3-3.mga4
+ Revision: 495974
- workaround java conflicts

* Thu Oct 10 2013 luigiwalser <luigiwalser> 1:2.3-2.mga4
+ Revision: 494426
- add BR texlive-texmf to try to fix build

* Fri Aug 09 2013 luigiwalser <luigiwalser> 1:2.3-1.mga4
+ Revision: 464828
- 2.3

* Wed Jul 24 2013 luigiwalser <luigiwalser> 1:2.2.1-1.mga4
+ Revision: 457521
- 2.2.1

* Mon Jan 14 2013 umeabot <umeabot> 1:2.0-4.mga3
+ Revision: 383985
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 pterjan <pterjan> 1:2.0-3.mga3
+ Revision: 340115
- Fix for _libdir != _libexecdir
- Fix file list to own directories

* Tue Dec 18 2012 tv <tv> 1:2.0-2.mga3
+ Revision: 332390
- rebuild for new rpm

* Tue Dec 18 2012 tv <tv> 1:2.0-1.mga3
+ Revision: 332375
- drop obsolete CVE patch
- new release
- rebuild for new rpm

* Tue Jun 12 2012 tv <tv> 1:1.6-6.mga3
+ Revision: 259950
+ rebuild (emptylog)

* Sun Jun 10 2012 tv <tv> 1:1.6-5.mga3
+ Revision: 259377
- rebuild for new rpm-4.10.0

* Mon Apr 09 2012 luigiwalser <luigiwalser> 1:1.6-4.mga2
+ Revision: 230000
- fix CVE-2012-0875 (from redhat)

* Tue Dec 20 2011 dmorgan <dmorgan> 1:1.6-3.mga2
+ Revision: 185014
- Rebuild against rpm 4.9.1.2

* Tue Oct 18 2011 dmorgan <dmorgan> 1:1.6-2.mga2
+ Revision: 156307
- Add rpm-devel as buildrequires
- Add rpm support

* Tue Oct 18 2011 dmorgan <dmorgan> 1:1.6-1.mga2
+ Revision: 156102
- New version 1.6

* Fri Sep 09 2011 tv <tv> 1:1.4-1.mga2
+ Revision: 141642
- new release
- sync patches with fedora
- drop buildroot

  + rtp <rtp>
    - disable systemtap on mips as it's not supported

* Wed Jan 12 2011 ahmad <ahmad> 1:1.3-1.mga1
+ Revision: 7722
- imported package systemtap


* Fri Aug 06 2010 trem <trem@mandriva.org> 1:1.3-1mdv2011.0
+ Revision: 566922
- update to 1.3
- update Buildrequires

* Thu Mar 25 2010 trem <trem@mandriva.org> 1:1.2-1mdv2010.1
+ Revision: 527315
- update to 1.2
- remove patch systemtap-1.1-get_argv.patch (added upstream)
- remove patch systemtap-1.1-cfi-cfa_ops-fixes.patch (added upstream)
- remove patch systemtap-1.1-tighten-server-params.patch (added upstream)

* Thu Feb 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.1-2mdv2010.1
+ Revision: 511042
- sync with systemtap-1.1-2.fc13.src.rpm
- P1: security fix for CVE-2010-0411
- P2: security fix for CVE-2010-0412, CVE-2009-4273

  + trem <trem@mandriva.org>
    - update to 1.1
    - remove patch p0, p1 and p2 (CVE-2009-2911) (added upstream)

* Fri Oct 23 2009 Frederic Crozat <fcrozat@mandriva.com> 1:1.0-3mdv2010.0
+ Revision: 459091
- Force rebuild

  + Frederik Himpe <fhimpe@mandriva.org>
    - Add Fedora patches to fix CVE-2009-2911

* Wed Sep 23 2009 Eugeni Dodonov <eugeni@mandriva.com> 1:1.0-1mdv2010.0
+ Revision: 447869
- Updated to 1.0.

* Wed Aug 05 2009 trem <trem@mandriva.org> 1:0.9.9-1mdv2010.0
+ Revision: 410267
- update to 0.9.9

* Fri Jun 12 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:0.9.8-1mdv2010.0
+ Revision: 385378
- Updated to version 0.9.8

* Tue May 12 2009 trem <trem@mandriva.org> 0.20090429.1-1mdv2010.0
+ Revision: 375054
- update to 20090429 (0.9.7)
- update to 0.8
- clean .spec (remove useless patch)

* Tue Oct 14 2008 Luiz Fernando Capitulino <lcapitulino@mandriva.com> 0.20081013.1-1mdv2009.1
+ Revision: 293675
- Update to 2008-10-13 version, because of changes in the kernel API

* Wed Jul 09 2008 trem <trem@mandriva.org> 0.20080705.1-1mdv2009.0
+ Revision: 233150
- update to 20080705

* Mon Jul 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0.20080614.1-2mdv2009.0
+ Revision: 232373
- rebuilt against new libcap

* Fri Jun 20 2008 trem <trem@mandriva.org> 0.20080614.1-1mdv2009.0
+ Revision: 227507
- remove useless BuildRequires
- add patches to fix configure (Underlinking problems)
- add Buildrequires:elfutils-devel
- update to 20080614

* Sun May 18 2008 trem <trem@mandriva.org> 0.20080517.1-1mdv2009.0
+ Revision: 208699
- update to 20080517:x
- add testsuite (include some example)

* Sat May 10 2008 trem <trem@mandriva.org> 0.20080510.1-1mdv2009.0
+ Revision: 205404
- update to 20080510
- update to 20080315

* Sun Feb 17 2008 trem <trem@mandriva.org> 0.20080216.1-1mdv2008.1
+ Revision: 170043
- update to 20080216

* Sun Feb 10 2008 trem <trem@mandriva.org> 0.20080209.1-1mdv2008.1
+ Revision: 164875
- update to 20080209

* Sun Jan 27 2008 trem <trem@mandriva.org> 0.20080126.1-1mdv2008.1
+ Revision: 158876
- update to 20080126

* Sun Jan 27 2008 trem <trem@mandriva.org> 0.20080112.1-2mdv2008.1
+ Revision: 158778
- update to 20080112

* Sun Jan 27 2008 trem <trem@mandriva.org> 0.20071208.1-2mdv2008.1
+ Revision: 158756
- fix provide (don't request a lib that don't exist)

* Thu Jan 03 2008 trem <trem@mandriva.org> 0.20071208.1-1mdv2008.1
+ Revision: 143564
- add elfutils-static-devel as buildrequires
- add elfutils and libcap-devel as buildrequires
- add libelfutils-devel as builrequires
- add libcap-devel as Buildrequires
- import systemtap


* Sun Dec  9 2007  <trem@mandriva.org> 0.20071208.1-1mdv2008.1
- Initial build.
